GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
ada_exc_info Struct Reference

`#include "ada-lang.h"`

## Public Member Functions
bool | operator< (const ada_exc_info &) const
bool | operator== (const ada_exc_info &) const

## Public Attributes
const char * | name
CORE_ADDR | addr

## Detailed Description

Definition at line 387 of file ada-lang.h.

## Member Function Documentation

## ◆ operator<()

bool ada_exc_info::operator< | ( | const ada_exc_info & | other | ) | const

Definition at line 13567 of file ada-lang.c.

References addr, and name.

## ◆ operator==()

bool ada_exc_info::operator== | ( | const ada_exc_info & | other | ) | const

Definition at line 13580 of file ada-lang.c.

References addr, and name.

## Member Data Documentation

## ◆ addr

CORE_ADDR ada_exc_info::addr

Definition at line 393 of file ada-lang.h.

Referenced by operator<(), and operator==().

## ◆ name

const char* ada_exc_info::name

Definition at line 390 of file ada-lang.h.

Referenced by gdb.printing.FlagEnumerationPrinter::__call__(), gdb.unwinder.Unwinder::__init__(), gdb.xmethod.XMethod::__init__(), gdb.printing.PrettyPrinter::__init__(), gdb.printing.SubPrettyPrinter::__init__(), gdb.xmethod.XMethodMatcher::__init__(), gdb.types.TypePrinter::__init__(), exsummary.Function::consistency_check(), operator<(), operator==(), and exsummary.Function::print_stack().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/ada-lang.h
- /tmp/gdb-8.1/gdb/ada-lang.c